!This tested 11.1.13758 that has Broken PAGE FOOTER SUM CNT AVE MIN MAX while they still work for BREAK. 
!Build under 11.0 or 10.0 and the page footer shows Count 21 Total $231.00
!
!Report Test Framework by Carl Barnes from https://gist.github.com/CarlTBarnes
!Using ABC Report Previewer instead of my simple previewer
!
!-----------------------------------------------------------------------------
!Try various REPORT specs and PROP Settings quicky in this little Win32 project that has its own simple Previewer.
!If you want to report a bug this can be used to create a small example
!
!1. Create a new Win32 Project and paste this code.
!1a. Must add Project Defines: _ABCLinkMode_=>1;_ABCDllMode_=>0
!2. Add the Variables used on the REPORT  - at #2 below
!3. Add Your REPORT and DETAIL's          - at #3 below
!4. Add your PRINT() code and PROP code   - at #4 below
!5. Run and Test, adjust code, repeat
!-----------------------------------------------------------------------------
  PROGRAM                       !Report Test Framework - ABC Preview - by Carl Barnes
  INCLUDE('ABREPORT.INC'),ONCE  !Must have Defines: _ABCLinkMode_=>1;_ABCDllMode_=>0
  MAP
      DB(STRING DebugText)  !Debug Output
      DBClear()             !Empty debug buffer
      MODULE('WinAPI')
        OutputDebugString(*cstring Msg),PASCAL,RAW,DLL(1),NAME('OutputDebugStringA')
      END    
    END 

    !--The Stuff needed for Preview
PreviewQ  QUEUE(PreviewQueue),PRE(PreQ)
    END

    !#2. >>>--Define your test data
Idx         LONG
Pre:F1      DECIMAL(11,2)
Pre:Key1    DECIMAL(11,2)           !   Break2      BREAK(Pre:Key1)
LocalVar    DECIMAL(11,2)    
Break2_Count    LONG 
FooterBreak2_Count    LONG 

    !#3. >>>--Define your Report  
!-- From the Help on SUM ... which had bugs   
Report REPORT,AT(1000,1500,6500,8125),FONT('Arial',10),PRE(RPT),THOUS
        HEADER,AT(1000,1000,6500,500),USE(?HEADER1)
            STRING('Report Test SUM and CNT'),AT(208,94),USE(?Title),TRN,FONT(,,,FONT:bold)
        END
Break2  BREAK(Pre:Key1),USE(?BreakTwo)
Detail      DETAIL,AT(0,0,6500,323),USE(?DetailOne)
                STRING('Detail:'),AT(2271,52),USE(?DetString1)
                STRING(@N$11.2),AT(2885,52),USE(Pre:F1),RIGHT
            END
            FOOTER,AT(0,0,6500,740),USE(?BreakOneGroupFoot)
                STRING(@n5),AT(156,167),CNT, RESET(Break2),USE(Break2_Count),RIGHT
                STRING('Detail CNT'),AT(729,167),USE(?STRING1)
                STRING('SUM Group Total:'),AT(1583,167),USE(?STRING1:2)
                STRING(@N$11.2),AT(2885,167),SUM(LocalVar), RESET(Break2),USE(Pre:F1,, |
                         ?Pre:F1_FooterBrealSum),RIGHT
                STRING(@N9.2),AT(3917,167),AVE, RESET(Break2),USE(Pre:F1,, ?Pre:F1_Ave_FooterBreak),RIGHT
                STRING(@N9.2),AT(4635,167),MIN, RESET(Break2),USE(Pre:F1,, ?Pre:F1_Min_FooterBreak),RIGHT
                STRING(@N9.2),AT(5396,167),MAX, RESET(Break2),USE(Pre:F1,, ?Pre:F1_Max_FooterBreak),RIGHT
                LINE,AT(229,94,6000,0),USE(?LINE1)
            END
        END
        FOOTER,AT(1000,9688,6500,1000),USE(?FOOTER1)
            STRING(@n5),AT(156,167),CNT,USE(FooterBreak2_Count),RIGHT
            STRING('Detail CNT'),AT(729,167),USE(?FooterSTRING1:2)
            STRING('SUM Footer Total:'),AT(1583,167),USE(?FooterSTRING1:3)
            STRING(@N$11.2),AT(2885,167),SUM(LocalVar),USE(Pre:F1,, ?Pre:F1:2),RIGHT
            STRING(@N9.2),AT(3917,167),AVE, RESET(Break2),USE(Pre:F1,, ?Pre:F1_Ave_FooterPage),RIGHT
            STRING(@N9.2),AT(4635,167),MIN, RESET(Break2),USE(Pre:F1,, ?Pre:F1_Min_FooterPage),RIGHT
            STRING(@N9.2),AT(5396,167),MAX, RESET(Break2),USE(Pre:F1,, ?Pre:F1_Max_FooterPage),RIGHT
            STRING('AVE'),AT(4396,427),USE(?FooterStringAVE)
            STRING('MIN'),AT(5146,427),USE(?FooterStringMIN)
            STRING('MAX'),AT(5865,427),USE(?FooterStringMAX)
            LINE,AT(229,40,6000,0),USE(?LINE2:1)
            LINE,AT(229,80,6000,0),USE(?LINE2:2)
        END
    END


TestHow BYTE 
    CODE             

    !--Create Report
    OPEN(Report)
    REPORT{PROP:Preview}=PreviewQ       
    Report$?Title{PROP:Text}=Report$?Title{PROP:Text} &' - Build ' & System{PROP:LibVersion,3} 

    !#4. >>>--Add your code to produce the report
    Pre:Key1 = 1
    LOOP Idx=1 TO 24  
        Pre:F1 = Idx ; PRINT(Rpt:Detail)
        IF Idx=5 OR Idx=12 THEN Pre:Key1 += 1.
    END 

    !--Report done, prepare it for preview
    ENDPAGE(Report)
    ! CLOSE(Report) loses files

    !--Preview the report
    DO ReportPreviewRtn
    CLOSE(Report)


!-----------------  Open Preview Window and Display --------------------------
ReportPreviewRtn    ROUTINE
    DATA
Previewer    PrintPreviewClass  !ABC Previewer requires INCLUDE('ABREPORT.INC'),ONCE         
    CODE                        !    and Defines: _ABCLinkMode_=>1;_ABCDllMode_=>0       
    Previewer.Init(PreviewQ)
    Previewer.Maximize= true      
    Previewer.AllowUserZoom= true
    IF Previewer.Display(100)
       Report{ prop:FlushPreview}= true
    END
    Previewer.Kill()
    EXIT

!----------------------------------------
DB   PROCEDURE(STRING xMessage)
Prfx EQUATE('RptTest: ')   !All output gets this
sz   CSTRING(SIZE(Prfx)+SIZE(xMessage)+3),AUTO
  CODE
  sz  = Prfx & CLIP(xMessage) & '<13,10>'
  OutputDebugString( sz )
  RETURN
DBClear PROCEDURE()
DVClr CSTRING('DBGVIEWCLEAR') !Message to Clear the buffer. Must UPPER and first i.e. without a Prefix
  CODE
  OutputDebugString(DVClr)
  RETURN
  